<?php
// ------------------------------------------------------------------------- //
//                XOOPS - PHP Content Management System                      //
//                       <http://www.xoops.org/>                             //
// ------------------------------------------------------------------------- //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
// ------------------------------------------------------------------------- //
// Author of File: 							     //
// Kazumi Ono (http://www.mywebaddons.com/ , http://www.myweb.ne.jp/)        //
// ------------------------------------------------------------------------- //
// public abstract class
class XoopsFormElement {

	// private
	var $name;

	// private
	var $caption;

	// private
	var $hidden = false;

	// private
	var $extra;

	// private
	var $required = false;

	//public
	function XoopsFormElement(){
		die("This class cannot be instantiated!");
	}

	// public
	function setName($name) {
		$this->name = $name;
	}

	// public
	function getName($encode=true) {
		if ($encode) {
			return str_replace("&amp;", "&", str_replace("'","&#039;",htmlspecialchars($this->name)));
		}
		return $this->name;
	}

	// public
	function setCaption($caption) {
		$this->caption = $caption;
	}

	// public
	function getCaption() {
		return $this->caption;
	}

	// public
	function setHidden() {
		$this->hidden = true;
	}

	// public
	function isHidden() {
		return $this->hidden;
	}

	// public
	function setExtra($extra){
		$this->extra = " ".$extra;
	}

	// public
	function getExtra(){
		if (isset($this->extra)) {
			return $this->extra;
		}
	}

	// abstract
	function render(){
	}
}
?>